Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.xml.util
Class DomParser

    java.lang.Object
      |
      +--gnu.xml.util.DomParser

All Implemented Interfaces:
  XMLReader

public final class DomParser
extends java.lang.Object
implements XMLReader

This parser emits SAX2 parsing events as it traverses a DOM tree, using any conformant implementation of DOM. It exposes all SAX1 features, and the following SAX2 features and properties (as identified by standard URIs which are not fully provided here). Note that if a Level 1 DOM implementation is given, then this behaves as if namespaces were disabled, and namespace prefixes were enabled.

Name | Notes
--- | ---
Features ... URL prefix is http://xml.org/sax/features/
(URL)/external-general-entities | false (does no parsing)
(URL)/external-parameter-entities | false (does no parsing)
(URL)/namespaces | Value is fixed at true
(URL)/namespace-prefixes | Value is settable, defaulting to false (`xmlns` attributes hidden, and names aren't prefixed)
(URL)/string-interning | Value is fixed at false (DOM provides no guarantees as to interning)
(URL)/validation | false (does no parsing)
(URL)/lexical-handler/parameter-entities | false (DOM doesn't do parameter entities)
Properties ... URL prefix is http://xml.org/sax/properties/
(URL)/dom-node | This property may be set before parsing to hold a DOM Document node; any arguments given to parse methods are ignored. When retrieved during a parse, this value contains the "current" DOM node.
(URL)/declaration-handler | A declaration handler may be provided. Declaration of external general entities is exposed, but not parameter entities; none of the entity names reported here will begin with "%".
(URL)/lexical-handler | A lexical handler may be provided. While the start and end of any external subset are reported, expansion of other parameter entities (e.g. inside attribute list declarations) is not exposed. Expansion of general entities within attributes is also not exposed (see below).

The consequences of modifying a DOM document tree as it is being walked by this "parser" are unspecified; don't do it!

Version:
  $Date: 2001/11/09 22:58:17 $
Author:
  David Brownell

Constructor Summary
`DomParser()` Constructs an unitialized SAX2 parser.
`DomParser(Node node)` Constructs an SAX2 parser initialized to traverse the specified DOM tree.

Method Summary
`ContentHandler` | `getContentHandler()` SAX2: Returns the object used to report the logical content of an XML document.
`DTDHandler` | `getDTDHandler()` SAX2: Returns the object used to process declarations related to notations and unparsed entities.
`EntityResolver` | `getEntityResolver()` SAX2: Returns the object used when resolving external entities during parsing (both general and parameter entities).
`ErrorHandler` | `getErrorHandler()` SAX2: Returns the object used to receive callbacks for XML errors of all levels (fatal, nonfatal, warning).
`boolean` | `getFeature(java.lang.String name)` SAX2: Tells whether this parser supports the specified feature.
`java.lang.Object` | `getProperty(java.lang.String name)` SAX2: Returns the specified property.
`void` | `parse(InputSource input)` SAX1: Parses the previously provided DOM document (the input parameter is ignored).
`void` | `parse(java.lang.String uri)` SAX1: Parses the previously provided DOM document (the input parameter is ignored).
`void` | `setContentHandler(ContentHandler handler)` SAX2: Assigns the object used to report the logical content of an XML document.
`void` | `setDTDHandler(DTDHandler handler)` SAX1: Provides an object which may be used to intercept declarations related to notations and unparsed entities.
`void` | `setEntityResolver(EntityResolver resolver)` SAX1: Provides an object which may be used when resolving external entities during parsing (both general and parameter entities).
`void` | `setErrorHandler(ErrorHandler handler)` SAX1: Provides an object which receives callbacks for XML errors of all levels (fatal, nonfatal, warning).
`void` | `setFeature(java.lang.String name, boolean state)` SAX2: Sets the state of features supported in this parser.
`void` | `setLocale(java.util.Locale locale)` SAX1: Identifies the locale which the parser should use for the diagnostics it provides.
`void` | `setProperty(java.lang.String name, java.lang.Object state)` SAX2: Assigns the specified property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DomParser

    public DomParser()

  Constructs an unitialized SAX2 parser.

### DomParser

    public DomParser(Node node)

  Constructs an SAX2 parser initialized to traverse the specified DOM tree. If the node is a document, the startDocument() and endDocument() calls bracket the calls exposing children.

Method Detail

### getEntityResolver

    public EntityResolver getEntityResolver()

  SAX2: Returns the object used when resolving external entities during parsing (both general and parameter entities).
  Specified by:
    `getEntityResolver` in interface `XMLReader`
  Following copied from interface: `org.xml.sax.XMLReader`
  Returns:
    The current entity resolver, or null if none has been registered.
  See Also:
    `XMLReader.setEntityResolver(org.xml.sax.EntityResolver)`

### setEntityResolver

    public void setEntityResolver(EntityResolver resolver)

  SAX1: Provides an object which may be used when resolving external entities during parsing (both general and parameter entities).
  Specified by:
    `setEntityResolver` in interface `XMLReader`
  Following copied from interface: `org.xml.sax.XMLReader`
  Parameters:
    `resolver` - The entity resolver.
  See Also:
    `XMLReader.getEntityResolver()`

### setLocale

    public void setLocale(java.util.Locale locale)
                   throws SAXException

  SAX1: Identifies the locale which the parser should use for the diagnostics it provides.
  Throws:
    `SAXException` - as defined in the specification for org.xml.sax.Parser.setLocale()

### getErrorHandler

    public ErrorHandler getErrorHandler()

  SAX2: Returns the object used to receive callbacks for XML errors of all levels (fatal, nonfatal, warning).
  Specified by:
    `getErrorHandler` in interface `XMLReader`
  Following copied from interface: `org.xml.sax.XMLReader`
  Returns:
    The current error handler, or null if none has been registered.
  See Also:
    `XMLReader.setErrorHandler(org.xml.sax.ErrorHandler)`

### setErrorHandler

    public void setErrorHandler(ErrorHandler handler)

  SAX1: Provides an object which receives callbacks for XML errors of all levels (fatal, nonfatal, warning).
  Specified by:
    `setErrorHandler` in interface `XMLReader`
  Following copied from interface: `org.xml.sax.XMLReader`
  Parameters:
    `handler` - The error handler.
  See Also:
    `XMLReader.getErrorHandler()`

### getContentHandler

    public ContentHandler getContentHandler()

  SAX2: Returns the object used to report the logical content of an XML document.
  Specified by:
    `getContentHandler` in interface `XMLReader`
  Following copied from interface: `org.xml.sax.XMLReader`
  Returns:
    The current content handler, or null if none has been registered.
  See Also:
    `XMLReader.setContentHandler(org.xml.sax.ContentHandler)`

### setContentHandler

    public void setContentHandler(ContentHandler handler)

  SAX2: Assigns the object used to report the logical content of an XML document.
  Specified by:
    `setContentHandler` in interface `XMLReader`
  Following copied from interface: `org.xml.sax.XMLReader`
  Parameters:
    `handler` - The content handler.
  See Also:
    `XMLReader.getContentHandler()`

### getDTDHandler

    public DTDHandler getDTDHandler()

  SAX2: Returns the object used to process declarations related to notations and unparsed entities.
  Specified by:
    `getDTDHandler` in interface `XMLReader`
  Following copied from interface: `org.xml.sax.XMLReader`
  Returns:
    The current DTD handler, or null if none has been registered.
  See Also:
    `XMLReader.setDTDHandler(org.xml.sax.DTDHandler)`

### setDTDHandler

    public void setDTDHandler(DTDHandler handler)

  SAX1: Provides an object which may be used to intercept declarations related to notations and unparsed entities.
  Specified by:
    `setDTDHandler` in interface `XMLReader`
  Following copied from interface: `org.xml.sax.XMLReader`
  Parameters:
    `handler` - The DTD handler.
  See Also:
    `XMLReader.getDTDHandler()`

### parse

    public void parse(java.lang.String uri)
               throws SAXException

  SAX1: Parses the previously provided DOM document (the input parameter is ignored). When this returns, that same document may be parsed again without needing a "reset".
  Specified by:
    `parse` in interface `XMLReader`
  Parameters:
    `uri` - ignored (pass an empty string)
  Throws:
    `SAXException` - as defined in the specification for org.xml.sax.Parser.parse()

### parse

    public void parse(InputSource input)
               throws SAXException

  SAX1: Parses the previously provided DOM document (the input parameter is ignored). When this returns, that same document may be parsed again without needing a "reset".
  Specified by:
    `parse` in interface `XMLReader`
  Parameters:
    `input` - ignored
  Throws:
    `SAXException` - as defined in the specification for org.xml.sax.Parser.parse()

### getFeature

    public boolean getFeature(java.lang.String name)
                       throws SAXNotRecognizedException,
                              SAXNotSupportedException

  SAX2: Tells whether this parser supports the specified feature.
  Specified by:
    `getFeature` in interface `XMLReader`
  Following copied from interface: `org.xml.sax.XMLReader`
  Parameters:
    `name` - The feature name, which is a fully-qualified URI.
  Returns:
    The current value of the feature (true or false).
  Throws:
    `SAXNotRecognizedException` - If the feature value can't be assigned or retrieved.
    `SAXNotSupportedException` - When the XMLReader recognizes the feature name but cannot determine its value at this time.
  See Also:
    `XMLReader.setFeature(java.lang.String, boolean)`

### getProperty

    public java.lang.Object getProperty(java.lang.String name)
                                 throws SAXNotRecognizedException,
                                        SAXNotSupportedException

  SAX2: Returns the specified property. At this time only the declaration and lexical handlers, and current the "DOM" node, are supported.
  Specified by:
    `getProperty` in interface `XMLReader`
  Following copied from interface: `org.xml.sax.XMLReader`
  Parameters:
    `name` - The property name, which is a fully-qualified URI.
  Returns:
    The current value of the property.
  Throws:
    `SAXNotRecognizedException` - If the property value can't be assigned or retrieved.
    `SAXNotSupportedException` - When the XMLReader recognizes the property name but cannot determine its value at this time.
  See Also:
    `XMLReader.setProperty(java.lang.String, java.lang.Object)`

### setFeature

    public void setFeature(java.lang.String name,
                           boolean state)
                    throws SAXNotRecognizedException,
                           SAXNotSupportedException

  SAX2: Sets the state of features supported in this parser. Only the namespace support features are mutable.
  Specified by:
    `setFeature` in interface `XMLReader`
  Following copied from interface: `org.xml.sax.XMLReader`
  Parameters:
    `name` - The feature name, which is a fully-qualified URI.
    `value` - The requested value of the feature (true or false).
  Throws:
    `SAXNotRecognizedException` - If the feature value can't be assigned or retrieved.
    `SAXNotSupportedException` - When the XMLReader recognizes the feature name but cannot set the requested value.
  See Also:
    `XMLReader.getFeature(java.lang.String)`

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object state)
                     throws SAXNotRecognizedException,
                            SAXNotSupportedException

  SAX2: Assigns the specified property. At this time only declaration and lexical handlers, and the initial DOM document, are supported. These must not be changed to values of the wrong type. Like SAX1 handlers, these handlers may be changed at any time. Like SAX1 input source or document URI, the initial DOM document may not be changed during a parse.
  Specified by:
    `setProperty` in interface `XMLReader`
  Following copied from interface: `org.xml.sax.XMLReader`
  Parameters:
    `name` - The property name, which is a fully-qualified URI.
    `value` - The requested value for the property.
  Throws:
    `SAXNotRecognizedException` - If the property value can't be assigned or retrieved.
    `SAXNotSupportedException` - When the XMLReader recognizes the property name but cannot set the requested value.

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Source code is under GPL (with library exception) in the JAXP project at http://www.gnu.org/software/classpathx/jaxp
This documentation was derived from that source code on 2001-11-20.